# studio::Dock_Info Class Reference

`#include <dock_info.h>`

Inheritance diagram for studio::Dock_Info:

List of all members.

## Public Member Functions

| Dock_Info ()
| ~Dock_Info ()
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

studio::Dock_Info::Dock_Info | ( |  | ) |

References _, and studio::Dockable::set_use_scrolled().

studio::Dock_Info::~Dock_Info | ( |  | ) |

## Member Function Documentation

void studio::Dock_Info::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dock_CanvasSpecific::get_canvas_view().

The documentation for this class was generated from the following files:

- dock_info.h
- dock_info.cpp